@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700;800&display=swap');

/* //check oush */

body {
    font-family: 'Poppins', sans-serif;
    scroll-behavior: smooth;
    min-height: 100vh;
}

a {
    color: #464545;
}

a:hover {
    text-decoration: none;
    color: #dc3545;
}

ul {
    margin: 0;
    padding: 0;
    list-style: none;
}


/* Add !important to override the styles */

.page-top-margin {
    margin-top: 140px;
}

label {
    font-size: 14px;
}

::-webkit-input-placeholder {
    font-size: 14px;
}

:-moz-placeholder {
    /* Firefox 18- */
    font-size: 14px;
}

::-moz-placeholder {
    /* Firefox 19+ */
    font-size: 14px;
}


/* Overriding styles */

::-webkit-input-placeholder {
    font-size: 14px!important;
}

:-moz-placeholder {
    /* Firefox 18- */
    font-size: 14px!important;
}

::-moz-placeholder {
    /* Firefox 19+ */
    font-size: 14px!important;
}

.form-control {
    border: 1px solid #eee;
    height: unset;
}

.m-t-b-15 {
    margin-top: 15px;
    margin-bottom: 15px;
}


/*=============== Scroll bar ============*/

.scrollbar-pills::-webkit-scrollbar-track {
    background-color: #F5F5F5;
}

.scrollbar-pills::-webkit-scrollbar {
    width: 5px;
    height: 5px;
    background-color: #F5F5F5;
}

.scrollbar-pills::-webkit-scrollbar-thumb {
    background-color: #ccc;
    border: 2px solid #ccc;
}


/* ===== Note Cards Color Codes Start ===== */

.nc-tag-bg-1 {
    background: #E2FFBC !important;
}

.nc-tag-bg-2 {
    background: #BCFFC3 !important;
}

.nc-tag-bg-3 {
    background: #BCEBFF;
}

.note-card-bg-1 .note-card-wrapper {
    background: #FFFAE1;
}

.note-card-bg-2 .note-card-wrapper {
    background: #FFF6F6;
}

.note-card-bg-3 .note-card-wrapper {
    background: #F3FFE9;
}

.note-card-bg-4 .note-card-wrapper {
    background: #fbfbfb;
}

.note-card-bg-5 .note-card-wrapper {
    background: #efebff;
}

.note-card-bg-6 .note-card-wrapper {
    background: #fffed9;
}

.note-card-bg-7 .note-card-wrapper {
    background: #effff3;
}

.note-card-bg-8 .note-card-wrapper {
    background: #faffdb;
}

.note-card-bg-9 .note-card-wrapper {
    background: #f1f8ff;
}

.note-card-bg-10 .note-card-wrapper {
    background: #fff2e7;
}

.note-card-bg-11 .note-card-wrapper {
    background: #f3f5e3;
}


/* ===== Note Cards Color Codes End ===== */


/* ===== Note Cover Background Start ===== */

.note-card-bg-1 .note-cover-img {}


/* ===== Note Cover Background End ===== */


/* ===== Notechit Utility Classes Start ===== */

.nc-black-color {
    color: #464545;
}

.nc-white-color {
    color: #fff !important;
}

.nc-light-color {
    color: #6c757d !important;
}

.nc-light-gray-color {
    color: #ACACAC !important;
}

.nc-vibrant-color {
    color: #EC2F53 !important;
}

.nc-hover-vibrant:hover {
    color: #EC2F53 !important;
}

.nc-black-bg {
    background: #464545;
}

.nc-black-btn {
    background: #464545;
    color: #fff;
    cursor: pointer;
    border: none;
}

.nc-save-btn {
    display: block;
    padding: 10px 40px;
    border-radius: 5px;
}

a.nc-black-btn {
    color: #fff;
}

.nc-xs-text {
    font-size: 12px;
}

.nc-sm-text {
    font-size: 14px;
}

.nc-md-text {
    font-size: 16px;
}

.nc-lg-text {
    font-size: 18px;
}

.nc-xlg-text {
    font-size: 20px;
}

.nc-section-headers {
    font-size: 24px;
}

.nc-radius {
    border-radius: 5px;
}

.md-thumbnail {
    width: 40px !important;
    height: 40px !important;
}

.note-tag {
    font-size: 12px;
    font-weight: 600;
    padding: 5px 10px;
    border-radius: 5px;
    margin-right: 5px;
    display: inline-block;
    margin-bottom: 10px;
}

.cursor-pointor {
    cursor: pointer;
}

.user-thumbnail-sm {
    height: 25px;
    width: 25px;
    border-radius: 50%;
    background-color: #fff;
    display: inline-block;
    overflow: hidden;
    vertical-align: middle;
}

.user-thumbnail-sm .user-initials {
    font-size: 12px;
    line-height: 13px;
    color: #000;
    margin-left: 4px;
}

.nc-header-dd {
    right: 0;
    left: auto;
    top: 35px;
    border-radius: 0;
    border: none;
    box-shadow: 1px 1px 5px #000;
    background: #464545;
}

.full-height {
    height: 100%;
}

.popup-close-btn {
    position: absolute;
    right: 20px;
    top: 30px;
    z-index: 99;
}


/* ===== Notechit Utility Classes End ===== */


/* ===== Top Navbar Styles Start ===== */

.nc-navbar-wrapper {
    width: 100%;
    position: fixed;
    /* Make it stick/fixed */
    top: 0;
    /* Stay on top */
    transition: top 0.3s;
    /* Transition effect when sliding down (and up) */
    z-index: 1040;
}

.nav-bar-shadow {
    box-shadow: 5px 5px 5px rgba(99, 99, 99, 0.2);
}

.navbar-brand {
    padding: 0;
}

.navbar-brand a:focus {
    border: none;
    outline: none;
}

.nc-navbar-dark {
    background: #464545;
}

.nc-navbar-dark .navbar-nav .nav-link {
    color: #D9D9D9;
}

.nc-navbar-dark .navbar-nav .nav-link:hover {
    color: #Fff;
}

.nc-navbar-dark .dropdown-item {
    color: #D9D9D9;
}

.navbar-brand:focus,
.navbar-brand:hover {
    outline: 0;
    border: 0;
}

.nc-tab-navbar {
    background: #fff;
    text-align: center;
}

.nc-tab-navbar ul {
    margin: 0;
    padding: 0;
}

.nc-tab-navbar ul li {
    display: inline-block;
    padding: 20px 10px;
    margin: 0 10px;
}

.nc-tab-navbar ul li a {
    color: #ACACAC
}

.nc-tab-navbar ul li a.active {
    color: #464545;
    font-weight: 600;
}

.nc-login-btn {
    background: #fff;
    margin-top: 4px;
    margin-left: 10px;
}

a.nc-login-btn {
    color: #464545;
    font-weight: 600;
}

.nc-top-searchbar-wrapper {
    width: 40%;
    position: relative;
}

.nc-top-searchbar {
    border-radius: 30px;
    padding: 5px 10px;
    margin-left: 2%;
    font-size: 14px;
    width: 100%;
    border: none;
}

.nc-top-searchbar:focus {
    outline: none;
    border: none;
}

.sticky {
    position: fixed;
    top: 0;
    width: 100%;
    box-shadow: 5px 5px 5px rgba(99, 99, 99, 0.2);
    z-index: 99;
}


/* ===== Top Navbar Styles END ===== */


/* ===== Top searchbar results Styles START ===== */

.nc-top-searchbar-wrapper .ui-autocomplete {
    width: 95% !important;
    height: 300px;
    overflow: auto;
    left: 20px !important;
    top: 31px !important;
    box-shadow: 4px 3px 7px 0px #0000003d;
    border: none;
}

.nc-top-searchbar-wrapper .ui-autocomplete li a {
    border-bottom: 1px solid #eee;
    padding: 10px;
    font-size: 14px;
    border-radius: 0;
}

.nc-top-searchbar-wrapper .ui-autocomplete li a.ui-state-focus {
    background: #fdf6e8;
    border: none;
}

.nc-top-searchbar-wrapper .ui-autocomplete li:last-child a {
    border: none;
}


/* ===== Top searchbar results Styles END ===== */


/* ===== Home Page Hero Section Styles START ===== */

.hero-bg-image {
    background: url(../img/background.png) #fff;
    padding-top: 20px;
}

.chits-container {
    position: relative;
    height: 90vh;
    max-width: 80%;
    max-height: 700px;
    margin: 0 7%;
}

.hero-text {
    font-size: 60px;
    padding: 140px 0;
    padding-bottom: 40px;
}

.signup-btn,
.signup-btn:hover,
.explore-btn:hover,
.explore-btn {
    background: #dc3545;
    border: 2px solid #dc3545;
    color: #fff;
    padding: 10px 50px;
    border-radius: 30px;
    font-weight: 500;
    display: inline-block;
    margin-bottom: 20px;
}

.explore-btn:hover i {
    animation: slideOutDown;
    /* referring directly to the animation's @keyframe declaration */
    animation-duration: 1s;
    /* don't forget to set a duration! */
}

.signup-btn:hover i {
    animation: slideOutRight;
    /* referring directly to the animation's @keyframe declaration */
    animation-duration: 1s;
    /* don't forget to set a duration! */
}

.know-more-text {
    border: 1px solid #eee;
    border-radius: 3px;
    color: #464545;
}

.know-more-text:hover {
    color: #dc3545;
    cursor: pointer;
    font-weight: 500;
}

.chit {
    position: absolute;
    color: #fff;
    -webkit-transition: all 3s;
    transition: all 3s;
}

.chit:hover {
    z-index: 50;
    -webkit-transition: all 3s;
    transition: all 3s;
}

.chit img {
    max-width: 260px;
    /* width: 17vw; */
}

.chit-1 {
    left: 5%;
    top: 8%;
}

.chit-2 {
    left: 25%;
    top: 10%;
}

.chit-3 {
    left: 45%;
    top: 5%;
}

.chit-4 {
    /* left:65%; */
    right: 5%;
    top: 6%;
}

.chit-5 {
    right: 0;
    top: 10%;
}

.chit-6 {
    left: 5%;
    top: 25%;
}

.chit-7 {
    /* left:25%; */
    left: 15%;
    top: 35%;
}

.chit-8 {
    left: 45%;
    top: 25%;
}

.chit-9 {
    /* left:65%; */
    right: 5%;
    top: 25%;
}

.chit-10 {
    left: 25%;
    top: 60%;
}

.chit-11 {
    left: 45%;
    top: 40%;
}

.chit-12 {
    left: 65%;
    top: 40%;
}

.chit-13 {
    left: 35%;
    top: 60%;
}


/* ===== Home Page Hero Section Styles END ===== */


/* ===== Single Note Card Styles START ===== */

.note-card-wrapper {
    padding: 0;
    border-radius: 5px;
    overflow: hidden;
    margin-bottom: 30px;
    max-width: 350px;
    margin-left: auto;
    margin-right: auto;
    border: 2px solid #212529;
}

.note-cover-img {
    height: 150px;
    overflow: hidden;
    position: relative;
    border-bottom: 2px solid #212529;
}

.note-cover-img a {
    display: block;
}

.note-cover-img .note-visibility-indicator {
    position: absolute;
    top: 2px;
    left: 0;
    margin: auto;
    width: 30px;
    text-align: center;
    height: 30px;
    border-radius: 50%;
    font-size: 14px;
    line-height: 29px;
    color: #2f2f2f;
}

.video-note-indicator {
    position: absolute;
    right: 10px;
    bottom: 10px;
    background: #fff;
    height: 30px;
    width: 30px;
    text-align: center;
    border-radius: 8px;
    line-height: 30px;
}

.note-card-title {
    width: calc(100% - 120px);
    display: inline-block;
    font-weight: 500;
    vertical-align: top;
    display: -webkit-inline-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    height: 52px;
}

.saved-note .note-card-title {
    width: calc(100% - 74px);
}

.note-card-save-btn {
    font-size: 12px;
    padding: 3px 10px;
    border-radius: 12px;
    float: right;
}

.note-card-bottom {
    margin: 0px 0 10px 0;
}

.note-card-bottom .author-info {
    display: inline-block;
    font-size: 12px;
    width: calc(100% - 83px);
    font-weight: 500;
}

.note-date,
.note-card-bottom .note-date {
    display: block;
    font-size: 10px;
    color: #929191;
}

.author-thumbnail-wrapper,
.note-card-bottom .author-thumbnail-wrapper {
    height: 30px;
    width: 30px;
    border-radius: 50%;
    display: inline-block;
    vertical-align: top;
    overflow: hidden;
    text-align: center;
    line-height: 30px;
    background-color: #fff;
    border: 1px solid #eee;
    font-size: 12px;
}

.author-thumbnail-wrapper img,
.note-card-bottom .author-thumbnail-wrapper img {
    /* commented for single note card author view
     max-height: 100%;
    max-width: 100%; */
}

.author-name,
.note-card-bottom .author-name {
    display: inline-block;
    color: #000;
}

.note-card-bottom .note-info {
    display: inline-block;
    font-size: 10px;
    color: #929191;
}

.note-card-bottom .note-rating span.fa {
    font-size: 10px;
}


/* ===== Single Note Card Styles END ===== */


/* ===== Note Detail START ===== */

.note-info-wrapper {
    background: #f8f9fa;
    padding: 10px;
    border-radius: 5px;
}

.note-detail {
    vertical-align: top;
}

.note-detail-title {
    font-weight: 600;
    margin-bottom: 10px;
    font-size: 18px;
}

.note-secondary-details {
    margin: 0;
    padding: 0;
}

.note-secondary-details li {
    display: inline-block;
    vertical-align: middle;
    font-size: 12px;
    padding: 0 15px;
    border-left: 1px solid #ced4da;
}

.note-secondary-details li:first-child {
    padding-left: 0;
    border: none;
}

.note-actions li {
    display: inline-block;
    padding: 0 10px;
}

.note-actions li:last-child {
    padding-right: 0;
}

.note-wrapper {
    background: #fff;
    box-shadow: /* The top layer shadow */
    0 -1px 1px rgba(0, 0, 0, 0.15), /* The second layer */
    0 -10px 0 -5px #eee, /* The second layer shadow */
    0 -10px 1px -4px rgba(0, 0, 0, 0.15), /* The third layer */
    0 -20px 0 -10px #eee, /* The third layer shadow */
    0 -20px 1px -9px rgba(0, 0, 0, 0.15);
    /* Padding for demo purposes */
    padding: 20px;
    border: 1px solid #eee;
}

.note-detail-content figure,
.note-detail-content div,
.note-detail-content img {
    max-width: 100%;
}

.download-all-attachment {
    width: 15px;
    margin-right: 5px;
}

.note-attachments-list {
    margin-top: 30px;
}

.note-attachments-list li {
    display: inline-block;
    border: 1px solid #eee;
    border-radius: 3px;
    padding: 10px;
    height: 340px;
    width: calc((100% / 2) - 66px);
    font-weight: 600;
    font-size: 14px;
    position: relative;
    vertical-align: top;
    overflow: hidden;
    margin-right: 10px;
    white-space: nowrap;
    text-overflow: ellipsis;
    margin-bottom: 10px;
}

.file-type-preview .file-type,
.note-attachments-list li .file-type {
    background: #f5f4f4;
    font-size: 12px;
    font-weight: normal;
    display: inline-block;
    padding: 3px 5px;
    border-radius: 3px;
    margin-bottom: 10px;
}

.file-type-preview .file-type i,
.note-attachments-list li .file-type i {
    font-size: 10px;
}

.file-type-preview a,
.note-attachments-list li a {
    position: absolute;
    bottom: 0;
    background: #ffebeb;
    width: 100%;
    left: 0;
    text-align: center;
    padding: 5px;
}

.file-type-preview a img,
.note-attachments-list li a img {
    width: 12px;
    margin: auto;
}

.note-attachments-list li img {
    max-width: 100%;
    max-height: 100%;
    display: block;
    width: auto;
    margin: auto;
}

.note-attachments-list li:hover {
    cursor: pointer;
    border-color: #dc3545;
    box-shadow: 5px 2px 11px #e0e0e0;
}


/* ===== Note Detail END ===== */


/* ===== Note Rating Start ===== */

.rating {
    display: flex;
    flex-direction: row-reverse;
    justify-content: center
}

.rating>input {
    display: none
}

.rating>label {
    position: relative;
    width: 1em;
    font-size: 30px;
    color: #EC2F53;
    cursor: pointer
}

.rating>label::before {
    content: "\2605";
    position: absolute;
    opacity: 0
}

.rating>label:hover:before,
.rating>label:hover~label:before {
    opacity: 1 !important
}

.rating>input:checked~label:before {
    opacity: 1
}

.rating:hover>input:checked~label:before {
    opacity: 0.4
}

.rate-title .devider {
    position: absolute;
    height: 1px;
    width: 100%;
    background: #eee;
    top: 10px;
}

.rate-title span {
    background: #fff;
    padding: 10px 40px;
    position: relative;
}


/* ===== Note Rating End ===== */


/* ===== Chit Styles START ===== */

.create-chit-btn .nc-black-btn {
    font-size: 14px;
    padding: 5px 10px;
    border-radius: 5px;
}

.bucket-list li {
    display: inline-block;
    vertical-align: top;
    border: 1px solid #eee;
    padding: 10px 20px;
    border-radius: 10px;
    min-width: 250px;
    /* box-shadow: 3px 3px 6px #eee; */
    min-height: 120px;
    margin: 10px;
    cursor: pointer;
    transition: 2s linear all;
}

.new-added-item {
    border: 1px solid #ffedcb !important;
    background: #feffe8 !important;
    transition: 2s linear all;
}

.create-bucket {
    min-width: unset;
    padding: 30px 20px;
    background: #f8f9fa;
    border-color: #f8f9fa;
    vertical-align: top;
    cursor: pointer;
}

.bucket-list li .bucket-name {
    margin-top: 10px;
    font-weight: 600;
}

.bucket-list li .bucket-items {
    font-size: 14px;
    color: #929191;
}

.chit-actions .fa {
    font-weight: normal;
    color: #929191;
    margin-left: 5px;
}

.chit-actions {
    display: none;
}

.bucket-list li:hover .chit-actions {
    display: inline-block;
}

.bucket-list li:hover .bucket-name {
    color: #dc3545;
}

.bucket-list li:hover .bucket-icon {
    box-shadow: 3px 3px 6px #eee;
    animation: move-icon 0.9s 1;
}

.bucket-list li:hover {
    box-shadow: 3px 3px 6px #eee;
}

@keyframes move-icon {
    50% {
        transform: translate(0px, 5px);
    }
    100% {
        transform: translate(0px, 0px);
    }
}

.bucket-name-input:focus,
.bucket-name-input {
    border: none;
    background: transparent;
    outline: none;
    box-shadow: none;
    padding: 0;
}

.bucket-notes-list {
    position: absolute;
    top: 0;
    width: 100%;
    background: #fff;
    min-height: 100vh;
    /* height: calc( 100vh - 150px );
      overflow: auto; */
    display: none;
}

.bucket-name-title {
    border-bottom: 1px solid #eee;
    padding-bottom: 10px;
}

.bucket-back-btn:hover {
    color: #dc3545;
    cursor: pointer;
}


/* ===== Chit Styles END ===== */


/* ===== Popup styles START ===== */

.md-modal .modal-content {
    border: none;
    border-radius: 30px;
    overflow: hidden;
}

.modal-from-wrapper {
    margin: 0 30px;
}

.modal-body-padding {
    padding-top: 30px;
    padding-bottom: 30px;
}

.modal-title {
    font-weight: 600;
    margin-bottom: 30px;
    color: #EC2F53;
}

.nc-register-btn {
    padding: 10px 50px;
    margin: 50px auto 0 auto;
    display: block;
    border-radius: 5px;
}

.go-to-signup-btn,
.login-back-btn {
    margin-top: 20px;
    cursor: pointer;
    font-weight: 600;
}

.go-to-signup-btn:hover,
.login-back-btn:hover {
    color: #EC2F53;
}

.go-to-signup-btn:hover i {
    transform: translateX(5px);
    transition: transform 330ms;
}

.login-back-btn:hover i {
    transform: translateX(-5px);
    transition: transform 330ms;
}

.go-to-signup-btn i,
.login-back-btn i {
    margin-right: 5px;
    transition: transform 330ms;
}

.other-login-options {
    margin-top: 40px;
    text-align: center;
}

.login-btn {
    display: block;
    padding: 10px;
    margin: 10px auto;
    color: #fff;
    border: none;
    outline: none;
    cursor: pointer;
    font-size: 14px;
    border-radius: 5px;
    min-width: 220px;
}

.login-btn img {
    max-width: 15px;
    margin-right: 5px;
}

.google-login-btn {
    background: #C53F3F;
}

.fb-login-btn {
    background: #475993;
}

.or {
    background: #fff;
    position: relative;
    padding: 0 10px;
}

.or-wrapper {
    position: relative;
}

.or-wrapper .bg-line {
    height: 1px;
    display: block;
    width: 100%;
    background: #eee;
    position: absolute;
    top: 10px;
}

.success-mail-icon {
    font-size: 40px;
    margin: 20px;
    color: #dc3545;
}


/* ===== Popup styles END ===== */


/* ===== Profile styles START ===== */

.user-pic-wrapper {
    height: 150px;
    width: 150px;
    background-color: #eee;
    border-radius: 10px;
    overflow: hidden;
    display: inline-block;
    text-align: center;
    line-height: 150px;
    position: relative;
}

.user-pic-wrapper img {
    max-width: 100%;
    max-height: 100%;
}

.profile-wrapper {
    background: #fffdf7;
    border: 1px solid #f5f0e4;
    position: relative;
    margin-bottom: 40px;
}

.user-name {
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 10px;
}

.about-user {
    max-height: 120px;
    overflow: auto;
}

.edit-picture {
    background: #fffdf7;
    position: absolute;
    bottom: -6px;
    right: -6px;
    top: unset;
    height: auto;
    display: inline-block;
    line-height: 15px;
    padding: 5px 10px;
    border-radius: 17px;
    font-size: 14px;
    cursor: pointer;
}

.followers {
    background: #84E3BD;
    border-radius: 5px;
    height: 150px;
    padding: 50px 30px;
    color: #fff;
    font-weight: 600;
}

.following {
    background: #B18DFE;
    border-radius: 5px;
    height: 80px;
    display: block;
    margin-left: 5px;
    padding: 15px 20px;
    color: #fff;
    font-weight: 600;
}

.profile-option-3 {
    background: #ffc164;
    height: 60px;
    border-radius: 5px;
    margin-top: 10px;
    margin-left: 5px;
    padding: 10px 20px;
    color: #fff;
    font-weight: 600;
    font-size: 14px;
}

.profile-option-3 i {
    display: block;
}

.user-profile-wrapper-70 {
    height: 70px;
    width: 70px;
    background: #fff4fa;
    border-radius: 5px;
    margin-bottom: 10px;
    margin-left: auto;
    margin-right: auto;
}

input[type=text].animate-search {
    background-image: url(../img/search.svg);
    background-repeat: no-repeat;
    width: 190px;
    -webkit-transition: width 0.4s ease-in-out;
    transition: width 0.2s ease-in-out;
    background-position: 5px 17px;
    padding-left: 30px;
    border: none;
    font-size: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
    cursor: pointer;
    margin: 10px auto;
}


/* When the input field gets focus, change its width to 100% */

input[type=text].animate-search:focus {
    width: 60%;
}

.unfollow-btn {
    background: transparent;
    border: 1px solid #e4e1e1;
    outline: none;
}


/* ===== Profile styles END ===== */


/* ===== Category Checkbox Style START ===== */

.interest-modal .category-list-wrapper {
    max-height: 50vh;
    overflow-y: auto;
    background: #fbfbfb;
    border-radius: 10px;
    padding-top: 10px;
    min-height: 186px;
}

.interest-modal .cat-checkbox-wrapper li {
    background: #fff;
}

.cat-checkbox-wrapper input[type="checkbox"][id^="myCheckbox"] {
    display: none;
}

.cat-checkbox-wrapper label {
    border: 1px solid #eee;
    padding: 10px;
    display: block;
    position: relative;
    margin: 0;
    cursor: pointer;
    width: 150px;
    height: 150px;
    text-align: center;
}

.cat-checkbox-wrapper label:before {
    background-color: white;
    color: white;
    content: " ";
    display: block;
    border-radius: 50%;
    position: absolute;
    top: 5px;
    left: 5px;
    width: 25px;
    height: 25px;
    text-align: center;
    line-height: 28px;
    transition-duration: 0.4s;
    transform: scale(0);
}

.cat-checkbox-wrapper label img {
    height: 70px;
    width: 70px;
    transition-duration: 0.2s;
    transform-origin: 50% 50%;
}

.cat-checkbox-wrapper :checked+label {
    border: 1px solid #f5f0e4;
    background: rgb(255 253 247);
    font-weight: 600;
}

.cat-checkbox-wrapper :checked+label:before {
    content: "✓";
    background-color: #95a9e0;
    transform: scale(1);
    font-size: 15px;
}

.cat-checkbox-wrapper :checked+label img {
    transform: scale(0.9);
    /* box-shadow: 0 0 5px #333; */
    z-index: -1;
}

.cat-checkbox-wrapper {
    text-align: left;
    font-size: 0;
    margin-top: 10px;
}

.cat-checkbox-wrapper li {
    display: inline-block;
    font-size: 14px;
    vertical-align: top;
}


/* ===== Category Checkbox Style END ===== */


/* ===== Add Chit Style Start ===== */

.close-btn {
    font-size: 16px;
    float: right;
    background: #eee;
    height: 30px;
    width: 30px;
    border-radius: 50%;
    line-height: 30px;
}

.tooltip {
    /* transform: translate3d(0,0,0) !important; */
}

.form-check.note-visibility-radio-btn {
    margin: 10px 0;
}

.add-chit-form {
    margin-top: 30px;
}

.add-chit-form .form-group {
    margin-bottom: 2rem;
}

.paper-bg,
.add-chit-wrapper {
    background: #fff;
    box-shadow: /* The top layer shadow */
    0 -1px 1px rgba(0, 0, 0, 0.15), /* The second layer */
    0 -10px 0 -5px #eee, /* The second layer shadow */
    0 -10px 1px -4px rgba(0, 0, 0, 0.15), /* The third layer */
    0 -20px 0 -10px #eee, /* The third layer shadow */
    0 -20px 1px -9px rgba(0, 0, 0, 0.15);
    border: 1px solid #eee;
}

.add-chit-title {
    background: #f8f9fa;
    margin-left: -15px;
    width: calc(100% + 30px);
    padding: 20px;
}

.notes-type-options {
    width: 200px;
    font-weight: bold;
    background: transparent;
    border: none;
    font-size: 18px;
}


/* ===== Add Chit Style End ===== */


/* ===== Note Styles START ===== */

.notes-wrapper {
    border: 1px solid #eee;
}

.notes-tabs-wrapper {
    margin-left: -15px;
    width: calc(100% + 30px);
    border-bottom: 1px solid #eee;
    margin-bottom: 20px;
}

.notes-tabs-wrapper a {
    display: inline-block;
    width: calc((100% / 3) - 3px);
    color: #ACACAC;
    padding: 10px;
    border-right: 1px solid #eee;
    position: relative;
}

.notes-tabs-wrapper a:last-child {
    border-right: none;
}

.notes-tabs-wrapper a.active {
    color: #000;
    font-weight: bold;
    border-bottom: 2px solid #fff;
}

.notes-tabs-wrapper a span {
    display: inline-block;
    width: 70%;
    padding: 10px;
    border-radius: 5px;
}

.notes-tabs-wrapper a.active span {
    background: #495057;
    color: #fff;
}


/* ===== Note Styles END ===== */


/* ===== Select 2 Plugin overrite Styles ===== */

.select2-container--default.select2-container--focus .select2-selection--multiple,
.select2-container--default .select2-selection--multiple {
    border: 1px solid #eee;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #0075ff;
    color: #fff;
    padding: 2px;
    border: none;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    float: right;
    color: #fff;
    border: none;
    border-radius: 0;
}


/* ===== Summernote Plugin overrite Styles ===== */

.nc-editor-wrapper .blockquote {
    font-size: 1.25rem;
    font-weight: 500;
    letter-spacing: .02em;
    line-height: 1.4;
    border-left: .3125rem solid #9c27b0;
    margin-bottom: 1rem;
    padding: 0 1rem;
}

.nc-editor-wrapper .note-btn-group .note-btn {
    border: none;
    background: transparent;
}

.note-editor .note-toolbar {
    background: transparent;
    padding: 10px;
}

.nc-editor-wrapper ul {
    list-style-type: disc;
    margin-block-start: 1em;
    margin-block-end: 1em;
    list-style: disc;
    margin: 1em;
}


/* ===== FileInput Plugin overrite Styles ===== */

.glyphicon-trash:before {
    content: "\f2ed";
    font-family: "Font Awesome 5 Free";
    font-style: normal;
}

.file-footer-buttons .btn {
    border: none;
}

.file-footer-buttons .kv-file-zoom,
.file-footer-buttons .kv-file-upload {
    display: none;
}

.krajee-default .file-footer-caption {
    margin-bottom: 0px;
}


/* ===== Note Cover Picture Preview ===== */

.nc-cover-pic-wrapper .form-control {
    margin-bottom: 10px;
    position: relative;
    padding: 0;
    overflow: hidden;
    max-height: 150px;
    overflow: hidden;
}

.nc-cover-pic-wrapper input[type="file"] {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    cursor: pointer;
    width: 100%;
}

.nc-cover-pic-wrapper .remove-file {
    position: absolute;
    bottom: 0;
    background: rgb(21 21 21 / 59%);
    width: 100%;
    color: #fff;
    text-align: center;
    padding: 10px;
}

.thumbnail-img {
    max-width: 100%;
    max-height: 100%;
}

.cover-thumbnail-img {
    max-height: 150px;
    max-width: 100%;
}

.add-note-sticky-btn {
    position: fixed;
    bottom: 30px;
    left: 0;
    right: 0;
    margin: auto;
    text-align: center;
    margin: auto;
    z-index: 99;
}

.add-note-sticky-btn a {
    background: #000;
    color: #fff;
    padding: 5px 20px;
    border-radius: 40px;
    transition: .2s linear all;
    animation: bounce;
    /* referring directly to the animation's @keyframe declaration */
    animation-duration: 2s;
    /* don't forget to set a duration! */
}

.add-note-sticky-btn a:hover {
    background: #EC2F53;
    color: #fff;
    padding: 5px 20px;
    border-radius: 40px;
    transition: .2s linear all;
}


/* ===== Notification Styles Start ===== */

.notification-dd {
    right: -100px;
    left: auto;
    width: 300px;
    background: #464545;
    box-shadow: 1px 1px 5px #000;
}

.notification-list-wrapper {
    max-height: 60vh;
    overflow: auto;
}

.notification-list-wrapper::-webkit-scrollbar {
    display: none;
}

.notification-list-wrapper li {
    color: #fff;
    padding: 10px;
    display: inline-block;
    font-size: 14px;
    border-bottom: 1px solid #495057;
}

.notification-list-wrapper li:last-child {
    border: none;
}

.notification-text {
    display: inline-block;
    width: calc(100% - 50px);
    vertical-align: top;
}

.notification-btn {
    background: #dc3545;
    color: #fff;
    padding: 3px 23px;
    border-radius: 5px;
    display: inline-block;
    margin: 10px;
    margin-left: 0;
}


/* ===== Notification Styles End ===== */


/* ===== No data Start ===== */

.no-data-wrapper {
    text-align: center;
}

.no-data-wrapper .cta-btn {
    background: #dc3545;
    color: #fff;
    padding: 5px 20px;
    border-radius: 40px;
    display: inline-block;
    margin: 20px;
}


/* ===== No data End ===== */


/* ===== Success Message Start ===== */

.success-login-wrapper {
    background: #f7ffea;
    padding: 50px 0;
    text-align: center;
    position: fixed;
    width: 40%;
    z-index: 51;
    top: 0;
    left: 0;
    right: 0;
    margin: auto;
    bottom: 0;
    height: 200px;
    border-radius: 10px;
    box-shadow: 5px 5px 25px #0000004f;
    padding: 20px;
}

.success-login-wrapper i {
    font-size: 40px;
    margin-bottom: 30px;
}

.success-login-wrapper .cta-btn {
    background: #dc3545;
    color: #fff;
    padding: 5px 20px;
    border-radius: 40px;
    display: inline-block;
    margin: 20px;
}


/* ===== Success Message End ===== */


/* ===== About us Page Styles Start ===== */

.about-text-wrapper .title-text {
    font-size: 36px;
    color: #dc3545;
    font-weight: 600;
}

.about-text-wrapper .sub-title-text {
    font-size: 30px;
    color: #464545;
    margin: 10px 0;
}

.img-wrapper {
    height: 70px;
    line-height: 70px;
}

.bordered-section {
    background: #fcfcfc;
    border: 1px solid #efefef;
}

.right-side-border {
    border-right: 1px solid #efefef;
}

.about-form .form-control {
    border: none;
    height: unset;
    box-shadow: 5px 5px 5px #eee;
}

.start-btn:hover,
.start-btn {
    background: #dc3545;
    color: #fff;
    padding: 10px 30px;
    border-radius: 30px;
    display: inline-block;
    margin: 20px;
}

.connect-link:hover,
.connect-link {
    color: #dc3545;
    text-decoration: underline;
    margin: 20px auto;
    font-weight: 600;
    display: inline-block;
}


/* ===== About us Page Styles End ===== */


/* ===== Error Page Styles Start ===== */

.error-note-top-margin {
    margin-top: 10vh;
}

.error-note-wrapper {
    margin-top: 30px;
    box-shadow: -2px 2px 7px 7px #f7f7f7;
    border-radius: 5px;
    padding: 0;
    border: 3px solid #fff;
    position: relative;
}

.error-code {
    padding: 30px 0;
    background: #f5f5f5;
    font-size: 70px;
    color: #6c757d;
    font-weight: 600;
    margin-bottom: 50px;
}

.error-cta:focus,
.error-cta:hover,
.error-cta {
    background: #dc3545;
    color: #fff;
    font-size: 14px;
    padding: 10px 20px;
    border-radius: 30px;
    display: inline-block;
    margin: 30px auto;
}

.error-clip {
    position: absolute;
    left: 10px;
    top: -23px;
}


/* ===== Error Page Styles End ===== */


/* ===== Contribution Page Styles Start ===== */

.request-content {
    margin: 10px 0;
}

.single-query-wrapper {
    border-bottom: 1px solid #eee;
    padding: 20px;
}


/* ===== Contribution Page Styles End ===== */


/* ===== Intro text Styles Start ===== */

.intro-text {
    border-bottom: 1px solid #eee;
    padding: 20px 0;
    font-weight: 500;
}

.intro-text img {
    display: block;
    margin: 10px auto;
}


/* ===== Intro text Styles End ===== */


/* ===== Loader styles  Start ===== */

.loader {
    border: 6px solid #f3f3f3;
    border-top: 6px solid #dc3545;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    position: absolute;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.loader-wrapper {
    position: absolute;
    background: rgb(88 88 88 / 92%);
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9;
    text-align: center;
}


/* ===== Loader styles  End ===== */


/* ===== Bucket list popup styles  Start ===== */

.bucketListPopupWrapper {
    border: 1px solid #eee;
    margin-left: -20px;
    width: calc(100% + 40px);
    max-height: 60vh;
    overflow: auto;
}

.bucketListPopupWrapper li {
    border-bottom: 1px solid #eee;
    padding: 10px 20px;
    font-weight: 600;
}

.bucketListPopupWrapper li.bucket-label {
    padding: 3px 20px;
    background-color: #fbfbfb;
    font-weight: 400;
}

.bucketListPopupWrapper li img {
    margin-right: 5px;
}

.bucketListPopupWrapper li.active,
.bucketListPopupWrapper li:hover {
    color: #EC2F53;
    cursor: pointer;
    background: #f1ffe9;
}

.bucketListPopupWrapper li:last-child {
    border: none;
}

.create-bucket-modal {
    padding: 5px;
    display: inline-block;
}


/* ===== Bucket list popup styles  End ===== */


/* ===== Display file popup styles  start ===== */

.display-file-modal .modal-dialog {
    width: 80%;
    max-width: none;
    overflow: auto;
}

.display-file-modal .modal-dialog .modal-body {
    max-height: 90vh;
    overflow: auto;
    min-height: 90vh;
    background-color: #000;
}

.display-file-modal .close {
    position: absolute;
    right: 10px;
    top: 8px;
    opacity: 1;
    color: #fff;
}

.display-file-modal .carousel-item {
    height: 80vh;
}

.display-file-modal .carousel {
    margin-top: 15px;
}

.display-file-modal .carousel-item .file-type-preview {
    display: inline-block;
    border: 1px solid #eee;
    border-radius: 3px;
    padding: 10px;
    height: 110px;
    width: 200px;
    font-weight: 600;
    font-size: 14px;
    position: relative;
    vertical-align: top;
    overflow: hidden;
    margin-right: 10px;
    white-space: nowrap;
    text-overflow: ellipsis;
    margin-bottom: 10px;
}

.display-file-modal .carousel-item .file-type-preview,
.display-file-modal .carousel-item img {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    max-width: 100%;
    max-height: 100%;
    background-color: #fff;
}

.display-file-modal .carousel-indicators li {
    background-color: #ACACAC;
}

.display-file-modal .carousel-indicators .active {
    background-color: #EC2F53;
}


/* ===== Display file popup styles  End ===== */

.hide {
    display: none;
}

.new-loader {
    position: absolute;
    background-color: #FFF;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 999;
    padding-top: calc(50% - 75px) !important;
}

.view-user-list-modal-body {
    height: 80%;
    overflow-y: scroll;
}

.notification-bell-circle:after {
    content: "";
    display: block;
    position: absolute;
    width: 8px;
    height: 8px;
    background: red;
    top: 0;
    right: 0;
    border-radius: 50%;
}

.signUpError {
    color: red;
}

#video_container video {
    width: 100%;
    height: 100%;
}

.suggestion-input{
    background-color: #dfdfdf;
    width: 90%;
    margin-left: 0px;
    float: left;
}

.suggestionButton{
    width: 10%;
    float: right;
    font-size: 15px;
}

.suggestion-error{
    color: red;
    float: left;
}

.class1, .class2, .class3, .class4, .class5{
    text-align: center;
    vertical-align: center;
    font-size: 20px;
    word-wrap: break-word;
}

.class1{
    background-color: red;
}

.class2{
    background-color: black;
}

.class3{
    background-color: blue;
}

.class4{
    background-color: yellow;
}

.class5{
    background-color: green;
}